import { Element_ } from '../../../../../Class/Element';
import { Done } from '../../../../../Class/Functional/Done';
import { Semifunctional } from '../../../../../Class/Semifunctional';
import { System } from '../../../../../system';
interface I<T> {
    component: Element_;
    opt: any;
}
interface O<T> {
    done: any;
}
export default class ScrollIntoView<T> extends Semifunctional<I<T>, O<T>> {
    constructor(system: System);
    f({ component, opt }: I<T>, done: Done<O<T>>): Promise<void>;
    b(): void;
}
export {};
